net.dontdrinkandroot.lastfm.api.model

## Class Scrobble

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Scrobble

All Implemented Interfaces:
  Serializable

    public class Scrobble
    extends LfmEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Scrobble(Element element)`

### Method Summary

Methods
`String` `getAlbum()`
`String` `getAlbumArtist()`
`String` `getArtist()`
`String` `getIgnoredMessage()`
`int` `getIgnoredMessageCode()`
`Long` `getTimestamp()`
`String` `getTrack()`
`boolean` `isAlbumArtistCorrected()`
`boolean` `isAlbumCorrected()`
`boolean` `isArtistCorrected()`
`boolean` `isTrackCorrected()`
`void` `setAlbum(String album)`
`void` `setAlbumArtist(String albumArtist)`
`void` `setAlbumArtistCorrected(boolean albumArtistCorrected)`
`void` `setAlbumCorrected(boolean albumCorrected)`
`void` `setArtist(String artist)`
`void` `setArtistCorrected(boolean artistCorrected)`
`void` `setIgnoredMessage(String ignoredMessage)`
`void` `setIgnoredMessageCode(int ignoredMessageCode)`
`void` `setTimestamp(Long timestamp)`
`void` `setTrack(String track)`
`void` `setTrackCorrected(boolean trackCorrected)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Scrobble

    public Scrobble(Element element)

### Method Detail

#### getTrack

    public String getTrack()

#### setTrack

    public void setTrack(String track)

#### isTrackCorrected

    public boolean isTrackCorrected()

#### setTrackCorrected

    public void setTrackCorrected(boolean trackCorrected)

#### getArtist

    public String getArtist()

#### setArtist

    public void setArtist(String artist)

#### isArtistCorrected

    public boolean isArtistCorrected()

#### setArtistCorrected

    public void setArtistCorrected(boolean artistCorrected)

#### getAlbum

    public String getAlbum()

#### setAlbum

    public void setAlbum(String album)

#### isAlbumCorrected

    public boolean isAlbumCorrected()

#### setAlbumCorrected

    public void setAlbumCorrected(boolean albumCorrected)

#### getAlbumArtist

    public String getAlbumArtist()

#### setAlbumArtist

    public void setAlbumArtist(String albumArtist)

#### isAlbumArtistCorrected

    public boolean isAlbumArtistCorrected()

#### setAlbumArtistCorrected

    public void setAlbumArtistCorrected(boolean albumArtistCorrected)

#### getTimestamp

    public Long getTimestamp()

#### setTimestamp

    public void setTimestamp(Long timestamp)

#### getIgnoredMessage

    public String getIgnoredMessage()

#### setIgnoredMessage

    public void setIgnoredMessage(String ignoredMessage)

#### getIgnoredMessageCode

    public int getIgnoredMessageCode()

#### setIgnoredMessageCode

    public void setIgnoredMessageCode(int ignoredMessageCode)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`